import { toast } from 'react-toastify';

// 复制
export const copy = (text: string) => {
  navigator.clipboard.writeText(text);
};

export const copyText = (text: string, showToast = true) => {
  copy(text);
  if (showToast) {
    toast.success('复制成功');
  }
};

export const copyHtml = (html: string) => {
  copy(html);
  toast.success('复制成功');
};
