// @ts-ignore
import { defineCollection, z } from 'astro:content';
import { glob, file } from 'astro/loaders'; // 不适用于旧版 API

const blog = defineCollection({
  // loader: glob({ pattern: '**/*.md', base: './src/data/blogs' }),
  loader: glob({ pattern: '**/[^_]*.md', base: './src/data/blogs' }),
  schema: z.object({
    title: z.string().optional(),
    description: z.string().optional(),
    // pubDate: z.coerce.date(),
    // updatedDate: z.coerce.date().optional(),
  }),
});
export const collections = { blog };
