```ts
import { QueryUtil } from '@kevisual/router/define';

export const q = QueryUtil.create({
  getScript: {
    path: 'script',
    key: 'get',
    description: '获取剧本信息',
  },
  updateScript: {
    path: 'script',
    key: 'update',
    description: '更新剧本信息',
  },
  deleteScript: {
    path: 'script',
    key: 'delete',
    description: '删除剧本信息',
  },
  listScripts: {
    path: 'script',
    key: 'list',
    description: '列出所有剧本信息',
  },
});
```
