export interface CommandItem {
  title: string;
  description: string;
  content: string;
}

export const getSuggestionItems = (): CommandItem[] => {
  return [
    {
      title: 'Now',
      description: 'Insert current time',
      content: new Date().toLocaleTimeString(),
    },
    {
      title: 'Today',
      description: "Insert today's date",
      content: new Date().toLocaleDateString(),
    },
    {
      title: 'Datetime',
      description: 'Insert current date and time',
      content: new Date().toLocaleString(),
    },
  ];
};
