import { appDefine, userAppDefine } from './defines/index.ts';

import { BaseQuery, DataOpts, Query } from '@kevisual/query/query';

export { appDefine, userAppDefine };

export class QueryApp extends BaseQuery {
  appDefine = appDefine;
  userAppDefine = userAppDefine;
  constructor(opts?: { query: Query }) {
    super(opts!);
    this.appDefine.query = this.query;
    this.userAppDefine.query = this.query;
  }
  getList(data: any, opts?: DataOpts) {
    return this.appDefine.queryChain('listApps').post(data, opts);
  }
}
