import { QueryLogin, QueryLoginOpts } from './query-login.ts';
import { MyCache } from '@kevisual/cache';
type QueryLoginNodeOptsWithoutCache = Omit<QueryLoginOpts, 'cache'>;

export class QueryLoginBrowser extends QueryLogin {
  constructor(opts: QueryLoginNodeOptsWithoutCache) {
    super({
      ...opts,
      cache: new MyCache('login'),
    });
  }
}
