import { shopDefine } from './defines/query-shop-define.ts';

import { BaseQuery, DataOpts, Query } from '@kevisual/query/query';

export { shopDefine };

export class QueryShop<T extends Query = Query> extends BaseQuery<T, typeof shopDefine> {
  constructor(opts?: { query: T }) {
    super({
      query: opts?.query!,
      queryDefine: shopDefine,
    });
  }
  getInstall(data: any, opts?: DataOpts) {
    return this.queryDefine.queryChain('install').post(data, opts);
  }
}
